LIBKECCAK_HMAC_COPY(3)

NAME
libkeccak_hmac_copy - Copies an HMAC-hashing state

SYNOPSIS
#include <libkeccak.h>
int libkeccak_hmac_copy(struct libkeccak_hmac_state *dest, const struct libkeccak_hmac_state *src);

Link with -lkeccak.

DESCRIPTION
The libkeccak_hmac_copy() function initialises *dest to be identical to *src. This includes all members of the struct libkeccak_hmac_state structure, including the state of the sponge and the message chunk buffer.

RETURN VALUES
The libkeccak_hmac_copy() function returns 0 upon successful completion. On error, -1 is returned and errno is set to describe the error.

ERRORS
The libkeccak_hmac_copy() function may fail for any specified for the function malloc(3).

SEE ALSO
libkeccak_hmac_duplicate(3), libkeccak_hmac_initialise(3)